public static interface GoogleBigQuerySQLEndpointBuilderFactory.GoogleBigQuerySQLBuilders
| Modifier and Type | Method and Description |
|---|---|
default GoogleBigQuerySQLEndpointBuilderFactory.GoogleBigQuerySQLEndpointBuilder |
googleBigquerySql(String path)
Google BigQuery Standard SQL (camel-google-bigquery)
Access Google Cloud BigQuery service using SQL queries.
|
default GoogleBigQuerySQLEndpointBuilderFactory.GoogleBigQuerySQLEndpointBuilder |
googleBigquerySql(String componentName,
String path)
Google BigQuery Standard SQL (camel-google-bigquery)
Access Google Cloud BigQuery service using SQL queries.
|
default GoogleBigQuerySQLEndpointBuilderFactory.GoogleBigQuerySQLEndpointBuilder googleBigquerySql(String path)
google-bigquery-sql:projectId:query
Path parameter: query (required)
BigQuery standard SQL query
Path parameter: projectId (required)
Google Cloud Project Idpath - projectId:querydefault GoogleBigQuerySQLEndpointBuilderFactory.GoogleBigQuerySQLEndpointBuilder googleBigquerySql(String componentName, String path)
google-bigquery-sql:projectId:query
Path parameter: query (required)
BigQuery standard SQL query
Path parameter: projectId (required)
Google Cloud Project IdcomponentName - to use a custom component name for the endpoint
instead of the default namepath - projectId:queryApache Camel